Ticket #2896 (closed enhancement: fixed)

Opened 9 years ago

Last modified 8 years ago

下書きメッセージの携帯版対応

Reported by: pnetan Assigned to: ruikubo
Priority: major Milestone: OpenPNE2.13.7
Component: 指定しない Version:
Keywords: 2.13要望 Cc:

Description (Last modified by kudo)

■概要

携帯版のメッセージ機能で、下書きの一覧の表示・下書きの作成・下書きの送信ができるようにする

■仕様

  • 下書きメッセージリストから下書きメッセージを選択すると下書きの編集ができる
  • 携帯版のメッセージ作成画面での「下書き保存」ボタンにより下書きが作成される

■関連情報

元のDescription

鈴木@R2Linkさんの日記

http://sns.openpne.jp/?m=pc&a=page_fh_diary&target_c_diary_id=18188 より転記

現状では、携帯でアクセスすると、下書きメッセージという項目がありません。なので、当然下書きすることはできませんし、PCで下書きしたものも送れません。

これを、送れるようにしてほしいのです。
よろしくお願い申し上げます。

Attachments

trunk.patch (16.8 kB) - added by ruikubo on 02/22/09 18:50:29.
2系trunk版のパッチを作成したので添付します
h_message_box.PNG (11.2 kB) - added by ruikubo on 02/22/09 18:50:56.
画面キャプチャ(1/3)
h_message_send.PNG (7.2 kB) - added by ruikubo on 02/22/09 18:51:16.
画面キャプチャ(2/3)
h_message.PNG (10.2 kB) - added by ruikubo on 02/22/09 18:51:37.
画面キャプチャ(3/3)

Change History

02/22/09 18:50:29 changed by ruikubo

  • attachment trunk.patch added.

2系trunk版のパッチを作成したので添付します

02/22/09 18:50:56 changed by ruikubo

  • attachment h_message_box.PNG added.

画面キャプチャ(1/3)

02/22/09 18:51:16 changed by ruikubo

  • attachment h_message_send.PNG added.

画面キャプチャ(2/3)

02/22/09 18:51:37 changed by ruikubo

  • attachment h_message.PNG added.

画面キャプチャ(3/3)

02/22/09 19:00:28 changed by ruikubo

パッチ補足

携帯にメッセージ下書き機能を追加しました。
画面キャプチャ(1/3) 画面キャプチャ(2/3) 画面キャプチャ(3/3)

ちょっと大きくなりましたが、変更点は次の通りです。

  • メッセージリスト画面(/ktai/templates/h_message_box.tpl, /ktai/page/h_message_box.php)
    • 下書きメッセージリストの追加
    • 各リスト(受信、送信、ゴミ箱)から下書きメッセージリストへのリンクを追加
  • メッセージの送信画面(/ktai/templates/f_message_send.tpl)
    • 「下書き保存」ボタンの追加
  • メッセージ画面(/ktai/templates/h_message.tpl)
    • 「下書き保存」ボタンの追加
  • メッセージの送信画面(/ktai/templates/h_message_send.tpl, /ktai/page/h_message_send.php)
    • 「下書き保存」ボタンの追加
    • 下書き編集用にForm初期値の設定(c_member_id, subject, body)
  • 下書きメッセージ編集用のDB読み出しロジックの追加
    • /ktai/page/h_message_send.php
  • 下書きメッセージ保存用のDB登録ロジックの追加
    • /ktai/do/f_message_send_insert_c_message.php
    • /ktai/do/h_message_insert_message.php
    • /ktai/do/h_message_send_insert_message.php
  • 下書きメッセージ送信用のDB登録ロジックの追加
    • /ktai/do/h_message_send_insert_message.php
  • validationルールの追加
    • /ktai/page/h_message_box.ini…page_v
    • /ktai/page/h_message_send.ini…target_c_message_id
    • /ktai/do/f_message_send_insert_c_message.ini…save
    • /ktai/do/h_message_insert_message.ini…save
    • /ktai/do/h_message_send_insert_message.ini…save, target_c_message_id, hensinmoto_c_message_id

02/22/09 19:01:22 changed by ruikubo

#1549と重複ですね。

02/23/09 10:10:38 changed by kiwa

  • priority changed from minor to major.

ありがとうございます!

2.13.6に入れたいところですが、時期的に難しいので次回あたりに入れられればと思います。わかりやすいように優先度上げたいと思います。

#1549 は重複扱いで閉じさせてもらいました。

02/26/09 20:41:48 changed by kiwa

  • milestone set to OpenPNE2.13.7.

Milestoneを2.13.7にしておきますー。

(follow-up: ↓ 6 ) 03/04/09 17:17:45 changed by kiwa

  • keywords changed from 2.13要望 to 2.13要望 確認中.

r10942 にて取り込みました!

(in reply to: ↑ 5 ) 03/11/09 13:44:32 changed by nakasone

Replying to kiwa:

r10942 にて取り込みました!

03/11/09 13:48:50 changed by nakasone

comment:6の投稿は間違いです。

04/08/09 18:36:24 changed by kawahara

コードチェックします

04/08/09 18:41:09 changed by kawahara

  • keywords changed from 2.13要望 確認中 to 2.13要望 テスト待ち.

確認しました。

04/08/09 21:37:56 changed by kawahara

  • description changed.

04/11/09 16:32:36 changed by kiwa

  • owner changed from nobody to kiwa.
  • status changed from new to assigned.

assignします

(follow-up: ↓ 15 ) 04/11/09 17:34:08 changed by kiwa

  • keywords changed from 2.13要望 テスト待ち to 2.13要望 差し戻し.

以下の現象の確認をお願いします。

  1. 携帯から下書きメッセージを開く
  2. 件名が空欄・本文が空欄など不備のある状態で「メッセージを送る」を押下する
    • UIがktai_page_h_message_sendになる(宛先がプルダウンで選択できる状態)
    • 宛先・件名・本文が保持されていない

(follow-up: ↓ 14 ) 04/11/09 17:44:35 changed by kiwa

また、これは優先度が低いですが、気になったところを書かせてもらいます。

■1

ktai_page_f_message_sendにて「下書き保存」を押下するとf_homeに遷移しますが、下書きを保存したことが確認できるようにktai_page_h_message_box(savebox)に遷移してもいいと思います。

PC版は下書き保存完了画面に下書きメッセージ一覧へのリンクが入っています。

■2

下書きメッセージのktai_page_h_message_sendからメッセージを送信した場合、送信後の遷移先がktai_page_h_message_box(inbox)になっています。メッセージが無事送信できたことを確認できるよう、outboxに遷移してもいいと思います。

(in reply to: ↑ 13 ) 04/13/09 19:18:40 changed by kiwa

Replying to kiwa:

#3811 別チケットを作成しました。2.13.8で対応しましょう。

(in reply to: ↑ 12 ) 04/14/09 10:38:51 changed by kiwa

  • keywords changed from 2.13要望 差し戻し to 2.13要望 確認中.

Replying to kiwa:

以下の現象の確認をお願いします。 1. 携帯から下書きメッセージを開く 2. 件名が空欄・本文が空欄など不備のある状態で「メッセージを送る」を押下する 3. * UIがktai_page_h_message_sendになる(宛先がプルダウンで選択できる状態) * 宛先・件名・本文が保持されていない

#3784で対応します。

04/14/09 10:40:34 changed by kiwa

  • keywords changed from 2.13要望 確認中 to 2.13要望 テスト待ち.

comment:9でテスト待ちになっているのでテスト待ちにします。

(follow-up: ↓ 18 ) 04/14/09 15:15:52 changed by imamura623

  • keywords changed from 2.13要望 テスト待ち to 2.13要望 差し戻し.

m=ktaiだと他人のメッセージにアクセスできてしまうバグを発見しました。 以下、確認項目をご参照ください。

  • page_h_message_send&target_c_message_idに他人の送信メッセージ、受信メッセージ、下書きメッセージのidを入力するとアクセスできてしまう。

対応よろしくお願いします。

(in reply to: ↑ 17 ; follow-up: ↓ 19 ) 04/14/09 15:48:40 changed by fukamachi

メッセージが文字化けしてますが、r11295で修正しました。

Replying to imamura623:

m=ktaiだと他人のメッセージにアクセスできてしまうバグを発見しました。 以下、確認項目をご参照ください。 * page_h_message_send&target_c_message_idに他人の送信メッセージ、受信メッセージ、下書きメッセージのidを入力するとアクセスできてしまう。 対応よろしくお願いします。

(in reply to: ↑ 18 ) 04/14/09 16:25:16 changed by kawahara

現在の状態では、

  • PCの page_f_message_send
  • 携帯版の page_h_message_send

にてtarget_c_message_idに自分が送信した、送信済みのメッセージのIDを指定することにより、フォームが表示される状態となっています。

PC版では、送信時にエラーとなりますが、携帯版ではエラーが出ずに、すでに送信済みメッセージも編集できてしまうようです。

04/14/09 16:54:34 changed by fukamachi

  • keywords changed from 2.13要望 差し戻し to 2.13要望 確認中.

r11297で修正しました。

04/16/09 11:25:29 changed by kiwa

  • keywords changed from 2.13要望 確認中 to 2.13要望.
  • status changed from assigned to closed.
  • resolution set to fixed.
  • summary changed from 携帯でも下書きしたメッセージを送信したい to 下書きメッセージの携帯版対応.

#3829:メッセージの携帯版対応 コードチェック

残りのコードチェックは上のチケットで行います。動作を確認したところ致命的な問題はなさそうなので、今回はこれで完了とします。

04/16/09 19:42:12 changed by kiwa

  • status changed from closed to reopened.
  • resolution deleted.

owner変更のためreopenします

04/16/09 19:42:17 changed by kiwa

  • owner changed from kiwa to ruikubo.
  • status changed from reopened to new.

04/16/09 19:42:24 changed by kiwa

  • status changed from new to closed.
  • resolution set to fixed.

05/25/09 11:26:52 changed by kudo

  • description changed.